#!/bin/sh

systemctl stop ceph-osd@*
<% match=/^node(\d+)/.match(@hostname); n=match.nil? ? 0 : match[1].to_i; if n.between?(1,20) %>
lvremove -y /dev/$HOSTNAME/bluestore1.wal
lvremove -y /dev/$HOSTNAME/bluestore2.wal
lvremove -y /dev/$HOSTNAME/bluestore1.db
lvremove -y /dev/$HOSTNAME/bluestore2.db
lvremove -y /dev/$HOSTNAME.1/bluestore1.data
lvremove -y /dev/$HOSTNAME.2/bluestore2.data
vgremove -y $HOSTNAME.1
vgremove -y $HOSTNAME.2
<% elsif n.between?(53,500) %>
lvremove -y /dev/$HOSTNAME.ceph/bluestore
vgremove -y $HOSTNAME.ceph
<% elsif n.between?(801,840) %>
lvremove -y /dev/$HOSTNAME.1/bluestore
lvremove -y /dev/$HOSTNAME.2/bluestore
vgremove -y $HOSTNAME.1
vgremove -y $HOSTNAME.2
<% end %>
